Name: x11-driver-video-mach64
Version: 6.9.4
Release: %mkrel 2
Epoch: 1
Summary: X.org driver for ATI Mach64 
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-mach64-%{version}.tar.bz2
# From Fedora:
Patch0:	    mach64-6.8.1-defaultdepth.patch

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati <= 1:6.8.0

%description
x11-driver-video-mach64 is the X.org driver for ATI Mach64.


%prep
%setup -q -n xf86-video-mach64-%{version}
%apply_patches

%build
autoreconf -ifs
%configure --disable-dri
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/mach64_drv.la
%{_libdir}/xorg/modules/drivers/mach64_drv.so




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1:6.9.4-2.mga3
+ Revision: 385993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 tv <tv> 1:6.9.4-1.mga3
+ Revision: 333387
- new release

* Wed Dec 12 2012 tv <tv> 1:6.9.3-3.mga3
+ Revision: 329959
- disable DRI support  (it's been nuked from upstream Mesa)
- add some patches from FC
- add some patches from xorg ml in order to fix crashes
  (should fix mga#8349)

* Thu Sep 13 2012 tv <tv> 1:6.9.3-2.mga3
+ Revision: 293581
- backport build faillure fix from git
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1:6.9.3-1.mga3
+ Revision: 273758
- new release

* Thu Jul 12 2012 tv <tv> 1:6.9.2-1.mga3
+ Revision: 270170
- new release

* Wed Jun 06 2012 tmb <tmb> 1:6.9.1-3.mga3
+ Revision: 256436
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1:6.9.1-2.mga3
+ Revision: 253010
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1:6.9.1-1.mga3
+ Revision: 249885
- new release

* Tue Dec 06 2011 tmb <tmb> 1:6.9.0-3.mga2
+ Revision: 177558
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1:6.9.0-2.mga2
+ Revision: 153119
- rebuild for xserver-1.11

* Sat Apr 30 2011 tv <tv> 1:6.9.0-1.mga1
+ Revision: 93621
- new release (xserver-1.10 compatible)

* Sat Mar 05 2011 tmb <tmb> 1:6.8.2-6.mga1
+ Revision: 64699
- mach64: fix the pixmap private API change in x11-server 1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1:6.8.2-4.mga1
+ Revision: 50229
- imported package x11-driver-video-mach64

